
#ifndef _INCLUDE_AUDIO_STREAM_FROM_MIC_H_
#define _INCLUDE_AUDIO_STREAM_FROM_MIC_H_

#include "android_hark.h"
//////////#include "header.h"

#ifdef __cplusplus
extern "C" {
#endif

extern int HASetParamAudioStreamFromMic(Param_AudioStreamFromMic_t *param);
extern int HAGetParamAudioStreamFromMic(Param_AudioStreamFromMic_t *param);
extern int RaspLc_Init(void);
extern int RaspLc_Start(void);
extern int RaspLc_Stop(void);
extern int RaspLc_ReadData(int frame_count, float **data, char* ts, int use_timestamp);

#ifdef __cplusplus
}
#endif

#endif /* End of _INCLUDE_AUDIO_STREAM_FROM_MIC_H_ */

/* EOF */

